"""===========================================================================
منطق برنامه ای را طراحی کنید که ۲۰ عدد را در ورودی دریافت کند و چنانچه عدد
صفر باشد عدد دیگری را دریافت کند.
اگر عدد منفی باشد قدر مطلق ان را محاسبه کند و عدد را به همراه قدر مطلق چاپ کند
و اگر عدد مثبت باشد توان ۳ عدد را محاسبه و عدد بهمراه توان ۳ آن را چاپ کند.
==========================================================================="""

count = 1
while count <= 20:
    print("-"*40,"\nPlease enter number ",count)
    number = int(input("===> "))
    if number == 0:
        count += 1
        continue
    elif number > 0:
        print("Cube of ",number,"=",number**3)
    else:
        print("ABS of ",number,"=",-number)
    count += 1